Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.artifacts.publish.maven.deploy.groovy
Class RepositoryBuilder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Binding
              groovy.util.FactoryBuilderSupport
                  org.gradle.api.internal.artifacts.publish.maven.deploy.groovy.RepositoryBuilder

    class RepositoryBuilder
    extends groovy.util.FactoryBuilderSupport

author:
  Hans Dockter

Field Summary

Fields inherited from class groovy.util.FactoryBuilderSupport
CURRENT_FACTORY, PARENT_FACTORY, PARENT_NODE, CURRENT_NODE, PARENT_CONTEXT, PARENT_NAME, CURRENT_NAME, OWNER, PARENT_BUILDER, CURRENT_BUILDER, CHILD_BUILDER

Constructor Summary
`RepositoryBuilder()`

Method Summary

Methods inherited from class groovy.util.FactoryBuilderSupport
invokeMethod, invokeMethod, getVariables, getVariable, setVariable, getParentNode, registerFactory, registerFactory, checkValueIsTypeNotString, checkValueIsNull, checkValueIsType, autoRegisterNodes, getFactories, getExplicitMethods, getExplicitProperties, getLocalFactories, getLocalExplicitMethods, getLocalExplicitProperties, getRegistrationGroups, getRegistrationGroupItems, getAttributeDelegates, getPreInstantiateDelegates, getPostInstantiateDelegates, getPostNodeCompletionDelegates, getContextAttribute, getCurrentFactory, getCurrentName, getCurrentBuilder, getParentFactory, getParentContext, getParentName, getChildBuilder, addAttributeDelegate, removeAttributeDelegate, addPreInstantiateDelegate, removePreInstantiateDelegate, addPostInstantiateDelegate, removePostInstantiateDelegate, addPostNodeCompletionDelegate, removePostNodeCompletionDelegate, registerExplicitProperty, registerExplicitProperty, registerExplicitMethod, registerExplicitMethod, registerBeanFactory, registerBeanFactory, getNameMappingClosure, setNameMappingClosure, withBuilder, withBuilder, withBuilder, addDisposalClosure, setProperty, getProperty, getName, getContext, dispose, build, build, build, getCurrent, getMetaClass, setMetaClass, hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Methods inherited from class groovy.lang.Binding
getVariables, getVariable, setVariable, setProperty, getProperty, getMetaClass, setMetaClass, invokeMethod, hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Methods inherited from class groovy.lang.GroovyObjectSupport
getMetaClass, setMetaClass, invokeMethod, setProperty, getProperty, hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### RepositoryBuilder

    public RepositoryBuilder()

Groovy Documentation